Verify a verifiable presentation
Roles
Analytics Events
/v2/credentials/web-semantic/presentations/verifyVerifies a provided verifiable presentation that adheres to the W3C Verifiable Credential Data Model:
- Ensures the presentation conforms to the VC Data model.
- For each
verifiableCredentialobjects:- Issuer DID can be resolved.
- JSON-LD context is valid for subject claims.
- Proof is valid & the credential has not been tampered with.
- Is not in a
revokedstatus on aRevocationList2020. - The proof is valid for each subjectDID to prove ownership.
- Valid proof exists for the presentation
holderDID.
The request must include a presentation object that adheres to the W3C Verifiable Credential Data Model.
If a challenge and/or domain is provided they are used for credential verification. Otherwise, the challenge and/or domain within the presentation proof is used instead.
Analytic events
- PRESENTATION_WEB_SEMANTIC_VERIFY_START
- PRESENTATION_WEB_SEMANTIC_VERIFY_SUCCESS
- PRESENTATION_WEB_SEMANTIC_VERIFY_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Presentation to verify
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/verify" \ -H "Content-Type: application/json" \ -d '{ "presentation": { "@context": [ {} ], "type": [ {} ], "verifiableCredential": [ { "@context": [ "https://www.w3.org/2018/credentials/v1", "https://www.w3.org/2018/credentials/examples/v1" ], "type": [ "VerifiableCredential", "AlumniCredential" ], "issuanceDate": "2020-05-02T12:06:29.156Z", "credentialSubject": { "givenName": "Jamie", "familyName": "Doe", "alumniOf": "Example University" }, "proof": {} } ], "id": "string", "holder": "string", "proof": [ { "type": "string", "created": "string", "challenge": "string", "domain": "string", "jws": "string", "proofPurpose": "string", "verificationMethod": "string" } ] } }'{
"verified": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Create a presentation request POST
Creates a short lived presentation request based on an existing presentation template. The request is returned in the form of a JWM message and must be [signed](#operation/signMessage) and sent to the holder via one of the following methods: - QR code. - Deeplink. - [Encrypted](#operation/encryptMessage) and [sent](#operation/sendMessage) as a wallet notification. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_START * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_SUCCESS * PRESENTATION_WEB_SEMANTIC_REQUEST_CREATE_FAIL
Well Known OpenId Configuration GET
The standard OpenID Connect Well Known configuration metadata endpoint. This endpoint is unprotected, public facing and can be used by any party wishing to discover the OpenID Connect capabilities.